apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: vapormap
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://gricad-gitlab.univ-grenoble-alpes.fr/kubernetes-alpes/formations/argocd-vapormap.git
    targetRevision: HEAD
    path: .
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
  destination:
    server: https://kubernetes.default.svc
    namespace: default
